//
//  StatusStateResolver.swift
//  Tusker
//
//  Created by Shadowfacts on 9/15/20.
//  Copyright © 2020 Shadowfacts. All rights reserved.
//

import Foundation
import Pachyderm

extension StatusState {
    
    func resolveFor(status: StatusMO, text: String?) {
        let longEnoughToCollapse: Bool
        if Preferences.shared.collapseLongPosts,
           let text = text,
           text.count > 500 {
            longEnoughToCollapse = true
        } else {
            longEnoughToCollapse = false
        }
        
        let contentWarningCollapsible = !status.spoilerText.isEmpty
        
        self.collapsible = contentWarningCollapsible || longEnoughToCollapse
        self.collapsed = longEnoughToCollapse || (!Preferences.shared.expandAllContentWarnings && contentWarningCollapsible)
    }
    
}
